/* ----------------------------------------------------------------------
   The SINUS Firewall -- a TCP/IP packet filter for Linux

   Written within the SINUS project at the University of Zurich,
   SWITCH, Telekurs Payserv AG, ETH Zurich.
   originally based on the sf Firewall Software (C) 1996 by Robert
   Muchsel and Roland Schmid.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   SINUS Firewall resources:
   SINUS Homepage: http://www.ifi.unizh.ch/ikm/SINUS/
   Firewall Homepage: http://www.ifi.unizh.ch/ikm/SINUS/firewall.html
   Frequently asked questions: http://www.ifi.unizh.ch/ikm/SINUS/sf_faq.html
   Mailing list for comments, questions, bug reports: firewall@ifi.unizh.ch
   ----------------------------------------------------------------------  */


/*
 * $id$
 */

#ifndef _SF_CONTROL_H
#define _SF_CONTROL_H

#include "sf_global.h"

#define	SF_CONTROL_MAGIC 0x524F524F	/* RORO */

struct sf_control {
  unsigned long magic;
  int command;
  char data[0];
};

struct sf_control_tcp {
  __u32 id;
  __u32 established;
  __u16 key;
};

#define	SF_COMMAND_DISABLE	0
#define	SF_COMMAND_ENABLE	1
#define SF_COMMAND_CLEAR_LOST	2
#define SF_COMMAND_FW_CLEAR	3	/* delete all firewall chains */
#define SF_COMMAND_FW_ADDPRIO	4	/* add priority entry to firewall */
#define SF_COMMAND_FW_ADD	5	/* add entry to firewall */
#define SF_COMMAND_FW_REPLACE	6	/* replace firewall entry having given id */
#define SF_COMMAND_FW_DELETE	7	/* delete firewall entry having given id */
#define SF_COMMAND_FW_ADDR	8	/* replace address array */
#define SF_COMMAND_FLUSH	9	/* delete all active TCP connections 
					   that are no longer allowed */
#define SF_COMMAND_FLUSH_ALL   10	/* abort all active TCP connections */
#define SF_COMMAND_TCP_KILL    11	/* kill specific TCP connection */
#define SF_COMMAND_RESETUSAGE  12	/* reset usage counters */

#endif				/* _SF_CONTROL_H */
